<?php
	/*
 * Aanbieders API
 * Test comparison electricity tariffs 
 */
 
 require_once('../aanbieders.php');
 
 $config =  array(
  				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
		);
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array(
 		'sg' => 'consumer', 
 		'lang' => 'nl',
 		'cat' => 'electricity', 
 		'tc' => 'tc_d',
 		'tc_ddu'  => '10000', 
 		'zip' => '3600', 
 		'f' => '2', 
 		'd' => 1, 
 		't' => 'no'
 	);
 	
 	// do the compare
 	$compare_result = $test->compare($params, false);
 	
 	// now do whatever you need to do with the result
 	print_r($compare_result);
 	
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }