<?php
/*
 * Aanbieders API
 * Test comparison dualfuel tariffs by given parameters
 */
 
 require_once('../aanbieders.php');
 
 $config =  array(
 				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
 		);
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array(
					'sg' 	=> 'consumer',
					'lang' 	=> 'nl',
					'cat' 	=> 'dualfuel',
					't' 	=> 'no',
					'zip' 	=> '3540',
					'f' 	=> 2,
					'u' 	=> 2000,
					'ut' 	=> 'kwh',
					'tc' 	=> 'tc_d',
					'tc_ddu'=> '4000',
					'd' 	=> 1);
 	
 	// do the compare
 	$compare_result = $test->compare($params, true);
 	
 	// now do whatever you need to do with the result
 	print_r($compare_result);
 	
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }