<?php
/*
 * Aanbieders API
 * Test comparison gas tariffs by given parameters
 */
 
 require_once('../aanbieders.php');
 
 $config =  array(
 				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
 		);
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array(
 		'sg' => 'consumer', 
 		'lang' => 'nl',
 		'cat' => 'gas', 
 		'u' => '4000', 
 		'ut' => 'kwh', 
 		'zip' => '3540', 
 		't' => 'no', 
 		'd' => '0'
 	);
 	
 	// do the compare
 	$compare_result = $test->compare($params, false);
 	
 	// now do whatever you need to do with the result
 	print_r($compare_result);
 	
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }
?>
