<?php
/**
 * @author Serkan Yildiz
 */
 
 require_once('../aanbieders.php');
 
 $config =  array(
  				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
		);
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	$params = array(
 					'cat' 			=> 'electricity',
 					'sg'			=> 'consumer',
 					'productid' 	=> 40, // groen
 					'supplierid' 	=> 107, // belpower
 					'lang' 			=> 'nl',
 					'gender' 		=> 'male',
 					'fname' 		=> 'Serkan',
					'sname' 		=> 'Yildiz',
					'em' 			=> 'serkan@aanbieders.be',
 					'str' 			=> 'Torenplein',
					'nr' 			=> '7',
					'bnr' 			=> '16/2',
					'zip' 			=> '3500',
					'city' 			=> 'Hasselt',
					'ph' 			=> '0485000000', // phone nr
					'dbd' 			=> '19', // day birthday
					'mbd' 			=> '12', // month birthday
					'jbd' 			=> '1993', // year birthday
					'bp' 			=> 'Genk',
					'd' 			=> 'vir',
					'terms' 		=> 1,
 					'sia' 			=> 'no_inv_address',
 					'rem' 			=> 'Dit is een test order. Handel deze niet af.',
 					'idnr' 			=> '', // ID card nr
 					'rrnr' 			=> '', // rijksregisternr
 					'dwd' 			=> '19', // whish day
 					'mwd' 			=> '12', // whish month
 					'ywd' 			=> '2012', // whish year
 					'opt' 			=> array(1,2,3) // options
 	);
 	
 	
	$params['elec_ean'] 	= '541448820054712827';
	$params['elec_new_c'] 	= 'elec_existing_conn'; // if no electricity connection exists: elec_no_existing_conn
	$params['elec_meter']	= 'tc_dn';	
 	
 	$order = $test->setOrder($params);
 	
 	if(isset($order->errors)) {
 		print_r($order->errors);
 		exit;
 	}
 	
 	print_r($order);
		
}catch(Exception $e) {
	exit($e->getMessage());
}