<?php
/*
 * Aanbieders API
 * Test comparison tariffs
 */
 
 require_once('../aanbieders.php');
 
 $config =  array(
 				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
 		);
 $producttypes = array('idtv');//array('airfare','carrental','citytrip','creditcard','electricity','gas','idtv','internet','longterm','mobile','packs','savings','summer','telephony','winter');
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	foreach($producttypes as $type) {
 	// define the parameters
 	$params = array(
 		'sg' => 'consumer', 
 		'lang' => 'nl',
 		'cat' => $type
 	);
 	
 	// get the products
 	$products = $test->getProducts($params, array(), false);
 	
 	// now do whatever you need to do with the result
 	print_r($products);
 	}
 	
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }
?>
