<?php
/**
*	Get attachments | Aanbieders API
*/

 require_once('../aanbieders.php');
 
 
 $config =  array(
 				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
 		);
 
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array(
 		'sg' => 'consumer',
 		'lang' => 'nl',
 		'cat' => 'electricity',
 		't' =>'f', 
 		'zip' => '3540', 
 		'tc' => 'tc_d', 
 		'tc_ddu' => '4000',
 		'f' => '1', 
 		'd' => '0'
 	);
 	// do the compare
 	$compare_result = $test->compare($params, true);
 	
 	// now do whatever you need to do with the result
 	foreach($compare_result->results[0]->product->attachments as $attachment) {
 		echo $attachment->filename . ' -> ' . $attachment->uri . '<br/>';
 	}
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }