<?php
/*
 * Aanbieders API
 * get products information by given parameters 
 */
 require_once('../aanbieders.php');
 
 $config =  array(
 				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
 		);
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array('cat' => 'internet', 'lang' => 'nl', 'sg' => 'consumer');
 	
 	// get the products
	$test->setOutputtype('object');
 	$products = $test->getProducts($params);
 	
 	// now do whatever you need to do with the result
 	print_r($products);
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }