<?php
/**
*	Get suppliers list | Aanbieders API
*/

require_once '../aanbieders.php';
 
 $config =  array(
  				'key' 			=> 'YOUR_KEY',
 				'secret' 		=> 'YOUR_SECRET'
		);
 try {
 	// instantiate the Aanbieders class and provide the necessary parameters
 	$test = new Aanbieders($config);
 	
 	// define the parameters
 	$params = array(
 		'cat' => 'electricity', 
 		'lang' => 'fr', 
 		'sg' => 'sme'
 		);
 	
 	// get the products
 	$suppliers = $test->getSuppliers($params);
 	
 	
 	// now do whatever you need to do with the result
 	if(is_array($suppliers)) {
		 foreach($suppliers as $supplier) {
 			echo $supplier->supplier_id . '|' . $supplier->name . '<br/>';
 		}
 	}
 	
 } catch (Exception $e) {
 	// Oeps , something went wrong
 	echo $e->getMessage();
 }